import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-386ef8a6.js';
export { dn as ArgumentsType, ch as AsyncMutex, V as BinInput, cY as Channel, cX as ChannelMessageEvent, da as CryptoEncoder, at as Currency, ar as CurrencyInput, au as DAY_MS, aR as Day, aw as DayInput, aQ as DayInputLegacy, av as DayValue, aX as DecimalInput, aW as DecimalValue, d2 as DefaultListener, c7 as Disposable, c6 as Disposer, c5 as DisposerFunction, d3 as Emitter, d0 as EmitterAllHandler, c$ as EmitterHandler, d7 as Encoder, J as Json, d9 as JsonEncoder, d1 as ListenerSignature, cZ as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cL as LogLevelAlias, cM as LogLevelAliasKey, cN as LogLevelAliasType, cO as LogMessage, cK as Logger, cR as LoggerConsoleHandler, cQ as LoggerContext, cP as LoggerContextInterface, b as LoggerInterface, cW as LoggerMemoryHandler, dK as MemStorage, dJ as MemStorageOptions, dd as Message, db as MessageAction, dh as MessageDefinitions, di as MessageHub, dc as MessageResult, df as MessagesDefaultMethods, dg as MessagesMethods, de as MessagesOptions, cg as Mutex, dO as NestedArray, d8 as NoopEncoder, O as ObjectStorage, cq as Pool, cm as PoolTask, co as PoolTaskEvents, ck as PoolTaskFn, cn as PoolTaskIdConflictResolution, cl as PoolTaskState, b4 as Primitive, dl as PubSub, dr as RPCFn, dq as RPCOptions, ds as RPCReturn, an as RenderMessagesOptions, dp as ReturnType, bB as RoundingMode, cE as SerialQueue, bM as SortableItem, cD as TaskEvents, cC as TaskFn, a7 as Uint8ArrayToHexDump, a6 as Uint8ArrayToJson, Y as Uint8ArrayToString, cc as UseDefer, c9 as UseDispose, c4 as XRX, W as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bq as avg, bo as between, b$ as cloneJsonObject, b_ as cloneObject, bx as cmp, bw as composeOrderby, G as createArray, c_ as createLocalChannelPair, cr as createPromise, dj as createPromiseProxy, h as csv, as as currency, aV as dateStringToDays, aU as day, az as dayDay, aP as dayDiff, aD as dayFromAny, aF as dayFromDate, aG as dayFromDateGMT, aK as dayFromParts, aL as dayFromString, aI as dayFromTimestamp, aC as dayFromToday, ay as dayMonth, aM as dayMonthStart, aO as dayOffset, aB as dayToDate, aE as dayToDateGMT, aA as dayToParts, aJ as dayToString, aH as dayToTimestamp, ax as dayYear, aN as dayYearStart, cG as debounce, aY as decimal, a$ as decimalCentsPart, aZ as decimalFromCents, a_ as decimalToCents, K as decodeBase16, N as decodeBase32, Q as decodeBase58, S as decodeBase62, U as decodeBase64, g as decrypt, b0 as deepEqual, b1 as deepMerge, e as deriveKeyPbkdf2, dF as detect, d as digest, bZ as empty, I as encodeBase16, M as encodeBase32, P as encodeBase58, R as encodeBase62, T as encodeBase64, bT as encodeQuery, f as encrypt, bO as endSortWeight, bV as ensureKey, bW as ensureKeyAsync, a4 as equalBinary, b2 as escapeHTML, bA as escapeRegExp, dw as fetchBasic, dx as fetchJson, dB as fetchOptionsBasicAuth, dz as fetchOptionsFormURLEncoded, dA as fetchOptionsJson, dy as fetchText, aq as fixBrokenUth8String, aS as forEachDay, c1 as forTimes, ao as formatMessages, dM as formatMilliseconds, a3 as fromBase64, ab as fromCamelCase, dE as getGlobal, cH as getGlobalContext, d4 as getGlobalEmitter, cJ as getGlobalLogger, cS as getNamespaceFilterString, dD as getNavigator, bj as getSecureRandom, bk as getSecureRandomIfPossible, dL as getTimestamp, dC as getWindow, du as httpMethod, ct as immediate, b7 as isArray, bd as isBoolean, dG as isBrowser, bD as isEven, bC as isHalf, bb as isInteger, cI as isLocalHost, be as isNullOrUndefined, ba as isNumber, b5 as isObject, bs as isPrime, br as isPrimeRX, b6 as isPrimitive, cA as isPromise, b8 as isRecord, bc as isSafeInteger, b9 as isString, cx as isTimeout, bf as isUint8Array, $ as joinToUint8Array, bi as jsonStringify, bh as jsonStringifySafe, bg as jsonStringifySorted, a5 as jsonToUint8Array, bY as last, d6 as lazyListener, bR as linkifyPlainText, c0 as memoize, d5 as messages, bP as moveSortWeight, bu as objectMap, dv as parseBasicAuth, dN as parseDate, cU as parseLogLevel, bv as parseOrderby, bU as parseQuery, dH as platform, cB as promisify, dY as qid, bl as randomBoolean, bn as randomFloat, bm as randomInt, r as randomUint8Array, c3 as regExpEscape, c2 as regExpString, ap as renderMessages, bF as roundDown, bI as roundHalfAwayFromZero, bJ as roundHalfDown, bK as roundHalfEven, bH as roundHalfOdd, bL as roundHalfTowardsZero, bG as roundHalfUp, bE as roundUp, bt as seededRandom, bX as size, cs as sleep, bQ as sortedItems, by as sortedOrderby, bN as startSortWeight, ac as stringToBoolean, ae as stringToFloat, ad as stringToInteger, X as stringToUInt8Array, d$ as suid, d_ as suidBytes, e1 as suidBytesDate, e0 as suidDate, bp as sum, cF as throttle, cv as timeout, cu as timeoutReached, cw as timoutError, a1 as toBase64, a2 as toBase64Url, am as toBool, a8 as toCamelCase, a9 as toCapitalize, aa as toCapitalizeWords, aj as toFloat, a0 as toHex, bS as toHumanReadableUrl, ak as toInt, al as toString, Z as toUint8Array, bz as toValidFilename, aT as today, cy as tryTimeout, dX as uname, b3 as unescapeHTML, cj as useAsyncMutex, H as useBase, cb as useDefer, c8 as useDispose, ca as useDisposer, cf as useEventListener, dI as useExitHandler, ce as useInterval, cV as useLevelFilter, dk as useMessageHub, ci as useMutex, cT as useNamespaceFilter, cp as usePool, dm as usePubSub, dt as useRPC, cd as useTimeout, dR as uuid, dW as uuid32Decode, dV as uuid32Encode, dQ as uuid32bit, dU as uuidB32, dP as uuidBytes, dT as uuidDecode, dS as uuidEncode, dZ as uuidv4, af as valueToBoolean, ah as valueToFloat, ag as valueToInteger, ai as valueToString, cz as waitOn } from './uuid-386ef8a6.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
